CDN
List Origins
get
/cdn/zones/{zone_uuid}/originsList all origins for a CDN zone.
Authorization
Authorization
Authorization*string
Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.
Path parameters
zone_uuid*string
Responses
Successful Response
application/json
array<CDNOriginItem>
uuid*string
name*string
address*string
port*integer
protocol*CDNOriginProtocol
Value in
"http""https"weight*integer
priority*integer
is_backup*boolean
health_check_enabled*boolean
health_check_path?string | null
health_status*CDNOriginHealthStatus
Value in
"healthy""unhealthy""unknown"verify_ssl*boolean
host_header?string | null
base_path?string | null
enabled*boolean
s3_auth_enabled*boolean
s3_access_key?string | null
s3_region?string | null
s3_service?string | null
object_storage_bucket_uuid?string | null
created_at?string | null